Skip to main content
PATCH
/
v2
/
identities
/
{id}
Core - Update identity profile
curl --request PATCH \
  --url 'https://api.orq.ai/v2/identities/customer_12345' \
  --header 'Authorization: Bearer $ORQ_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
    "display_name": "Ada L.",
    "tags": ["enterprise", "priority"],
    "metadata": {
      "plan": "enterprise",
      "lifecycle": "renewal"
    }
  }'
import { Orq } from '@orq-ai/node';

const client = new Orq({
  apiKey: process.env.ORQ_API_KEY,
});

const result = await client.identities.update({
  id: 'customer_12345',
  displayName: 'Ada L.',
  tags: ['enterprise', 'priority'],
  metadata: {
    plan: 'enterprise',
    lifecycle: 'renewal',
  },
});

console.log(result.identity.displayName);
import os
from orq_ai_sdk import Orq

client = Orq(api_key=os.environ["ORQ_API_KEY"])

result = client.identities.update(
    id="customer_12345",
    display_name="Ada L.",
    tags=["enterprise", "priority"],
    metadata={
        "plan": "enterprise",
        "lifecycle": "renewal",
    },
)

print(result.identity.display_name)
{
  "identity": {
    "_id": "<string>",
    "external_id": "<string>",
    "workspace_id": "<string>",
    "created": "<string>",
    "updated": "<string>",
    "display_name": "<string>",
    "email": "<string>",
    "avatar_url": "<string>",
    "tags": [
      "<string>"
    ],
    "metadata": {},
    "metrics": {
      "total_tokens": 123,
      "total_cost": 123,
      "total_requests": 123,
      "error_rate": 123
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Identity ID to update.

Body

application/json
display_name
string

New display name. Omit to keep the current display name.

email
string

New email address. Omit to keep the current email.

avatar_url
string

New avatar image URL. Omit to keep the current avatar URL.

tags
string[]

Replacement tag list. Leave empty to clear tags.

metadata
object

Replacement custom JSON metadata.

Response

200 - application/json

OK

identity
object
required

Updated identity.